phrGetLogStrings {phreeqc} | R Documentation

## Retrieve log output.

### Description

Retrieves the string buffer containing phreeqc log output.

### Usage

    phrGetLogStrings()

### Value

A character vector containing phreeqc log output.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Log: `phrGetLogFileName`, `phrGetLogFileOn`, `phrGetLogStringsOn`, `phrSetLogFileName`, `phrSetLogFileOn`, `phrSetLogStringsOn`

### Examples

    # This example equilibrates pure water with gypsum with the output file on.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetOutputFileOn(TRUE)

    input <- vector(mode="character")
    input <- c(input, "SOLUTION 1 Pure water ")
    input <- c(input, "EQUILIBRIUM_PHASES 1  ")
    input <- c(input, "  Gypsum 0 10         ")
    input <- c(input, "KNOBS                 ")
    input <- c(input, "  -logfile TRUE       ")

    if (is.null(phrRunString(input))) {
      log <- phrGetLogStrings()
    }

[Package phreeqc version 3.4.10 Index]